Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.externals

Helper to verify presence of external libraries and modules

Functions

`check_all_dependencies`([force, verbosity]) | Test for all known dependencies.
`exists`(dep[, force, raise_, issueWarning]) | Test whether a known dependency is installed on the system.

Classes

`SmartVersion`([vstring]) | A bit evolved comparison of versions The reason for not using python’s distutil.version is that it seems to have no clue about somewhat common conventions of using ‘-dev’ or ‘dev’ or ‘rc’ suffixes for upcoming releases (so major version does contain upcoming release already).

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »